Subject: [trill] WG LC: draft-ietf-trill-oam-req-01.txt

From: Donald Eastlake <[email-masked]>
Date: Wed, 10 Oct 2012 22:42:01 -0400

This message begins a two week TRILL Working Group Last Call on
draft-ietf-trill-oam-req-01.txt
"Requirements for Operations, Administration and Maintenance (OAM) in TRILL"

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: "Samer Salam (ssalam)" <[email-masked]>
Date: Sat, 13 Oct 2012 00:35:01 +0000

Support.

On 12-10-10 7:42 PM, "Donald Eastlake" <[email-masked]> wrote:

>_______________________________________________
>trill mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/trill

---

From: Jon Hudson <[email-masked]>
Date: Fri, 12 Oct 2012 18:05:07 -0700

Support

(and a thank you to those that put a LOT of work into this)

-- 
"Do not lie. And do not do what you hate."

---

From: Sam Aldrin <[email-masked]>
Date: Fri, 12 Oct 2012 19:41:19 -0700

Support

Sent from my iPhone

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 12 Oct 2012 22:43:42 -0400

As a working group participant, I support this draft but suggest the following:

Part 1:
   I suggest that a new part 1.1 be added called "Scope" and the
   subsequent psrts of 1.1 be renumbered accordingly. Content of 1.1
   would be as follows: "The scope of this document is OAM between
   RBridges within a TRILL campus over links selectable by TRILL
   routing."

Part 3:
OLD:
   It is important to note, in practice, not all available least cost
   paths are available for forwarding due to limitations in
   implementations.
NEW:
   It is important to note that, due to limitations in
   implementations, not all available least cost paths are selectable.

Part 4.2.2
   "to either to specific set of RBridges or" -> "to either a specifc
   set of RBridges or"

Part 4.3: In the fourth paragraph:
     "any path" -> "any selectable path"

Part 4.4: In the first paragraph:
     "a path" -> "a selectable path"

Part 4.5: Second paragraph:
     "all TRILL OAM functions" -> "all TRILL OAM functions within the
     scope of this document."

Part 4.5: Sixth paragraph:
     "header.OAM" -> "header. OAM"

Part 4.6.1: First paragraph:
     "term" -> "the term"

Part 4.6.1: Second paragraph:
     "Term" -> "The term"

Part 4.9: Second paragraph:
     "flow" -> "packet"

Part 5: Add
     "For general TRILL Security Considerations, see [RFC6325]."

References:
     Delete unused reference entry for [RFC4377].
     Delete unused reference entry for [RFC791].
     Delete unused reference entry for [RFC4379].

General:
     Since this is a pretty high level requirements document, I think
references to particular OAM technology should be minimized. Also,
I think it would be good to cut back some on the number of first
page authors.

Thanks,
Donald

---

From: gayle noble <[email-masked]>
Date: Fri, 12 Oct 2012 20:30:13 -0700

Support
and a >*bow*< to those that put in so much work on it

---

From: Satya Dillikar <[email-masked]>
Date: Sat, 13 Oct 2012 20:20:54 -0700

Support.

---

From: Yizhou Li <[email-masked]>
Date: Mon, 15 Oct 2012 09:10:48 +0800

Support.

Yizhou

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Donald Eastlake
Sent: Thursday, October 11, 2012 10:42 AM
To: [email-masked]
Subject: [trill] WG LC: draft-ietf-trill-oam-req-01.txt

Thanks,
Donald